clan::ProviderType_Register< ProviderClass > Class Template Reference - ClanLib SDK
Description: clan::ProviderType_Register< ProviderClass > Class Template Reference

Public Member Functions | List of all members
clan::ProviderType_Register< ProviderClass > Class Template Reference
clanDisplay Image Providers

Class template to register a provider type. More...

`#include <provider_type_register.h>`

Inheritance diagram for clan::ProviderType_Register< ProviderClass >:

## Public Member Functions
| ProviderType_Register (const std::string &type)
| Registers provider type in the ProviderFactory.
virtual PixelBuffer | load (const std::string &filename, const FileSystem &fs, bool srgb) override
| Called to load an image with this provider type.
virtual PixelBuffer | load (IODevice &file, bool srgb) override
virtual void | save (PixelBuffer buffer, const std::string &filename, FileSystem &fs) override
| Called to save a given PixelBuffer to a file.
virtual void | save (PixelBuffer buffer, IODevice &file) override
Public Member Functions inherited from clan::ImageProviderType
| ImageProviderType (const std::string &type)
| Registers a provider type in the ImageProviderFactory.
virtual | ~ImageProviderType ()
| Unregisters a provider type in the ImageProviderFactory.

## Detailed Description

template<class ProviderClass>
class clan::ProviderType_Register< ProviderClass >

Class template to register a provider type.

## Constructor & Destructor Documentation

## ◆ ProviderType_Register()

template<class ProviderClass >

clan::ProviderType_Register< ProviderClass >::ProviderType_Register | ( | const std::string & | type | ) |
| inline

Registers provider type in the ProviderFactory.

## Member Function Documentation

## ◆ load() [1/2]

template<class ProviderClass >

virtual PixelBuffer clan::ProviderType_Register< ProviderClass >::load | ( | const std::string & | filename,
|  | const FileSystem & | fs,
|  | bool | srgb )
| inlineoverridevirtual

Called to load an image with this provider type.

Implements clan::ImageProviderType.

## ◆ load() [2/2]

template<class ProviderClass >

virtual PixelBuffer clan::ProviderType_Register< ProviderClass >::load | ( | IODevice & | file,
|  | bool | srgb )
| inlineoverridevirtual

Implements clan::ImageProviderType.

## ◆ save() [1/2]

template<class ProviderClass >

virtual void clan::ProviderType_Register< ProviderClass >::save | ( | PixelBuffer | buffer,
|  | const std::string & | filename,
|  | FileSystem & | fs )
| inlineoverridevirtual

Called to save a given PixelBuffer to a file.

Implements clan::ImageProviderType.

## ◆ save() [2/2]

template<class ProviderClass >

virtual void clan::ProviderType_Register< ProviderClass >::save | ( | PixelBuffer | buffer,
|  | IODevice & | file )
| inlineoverridevirtual

Implements clan::ImageProviderType.

The documentation for this class was generated from the following file:

- provider_type_register.h